Subject: Re: [PATCH net 0/3] selftests: net: a few fixes

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Jan 2024 17:45:47 -0800

On Wed, 24 Jan 2024 22:33:19 +0100 Paolo Abeni wrote:
> This series address self-tests failures for udp gro-related tests.
> 
> The first patch addresses the main problem I observe locally - the XDP
> program required by such tests, xdp_dummy, is currently build in the
> ebpf self-tests directory, not available if/when the user targets net
> only. Arguably is more a refactor than a fix, but still targeting net
> to hopefully 
> 
> The second patch fixes the integration of such tests with the build
> system.
> 
> Patch 3/3 fixes sporadic failures due to races.
> 
> Tested with:
> 
> make -C tools/testing/selftests/ TARGETS=net install
> ./tools/testing/selftests/kselftest_install/run_kselftest.sh \
> 	-t "net:udpgro_bench.sh net:udpgro.sh net:udpgro_fwd.sh \
> 	    net:udpgro_frglist.sh net:veth.sh"
> 
> no failures.

This series got into net-next-2024-01-25--00-00, looking at the outputs
it turns out that the iproute2 was crashing somewhere in libbpf :(
I rebuilt latest iproute2 without libbpf support. It loads xdp_dummy.o
just fine, so hopefully that's good enough for now, we'll see for sure
in about 3 hours :)